# Created by pyp2rpm-3.3.3
%global pypi_name sybil

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 1
Summary:        Automated testing for the examples in your documentation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sybil/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-git)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(twine)
BuildRequires:  python3dist(wheel)

%description
This library provides a way to test examples in your documentation by parsing them from the
documentation source and evaluating the parsed examples as part of your normal test run.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a way to test examples in your documentation by parsing them from the
documentation source and evaluating the parsed examples as part of your normal test run.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license docs/license.rst
%doc README.rst
%doc html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1656375
- new version 2.0.1

* Sun Nov 22 2020 guillomovitch <guillomovitch> 2.0.0-1.mga8
+ Revision: 1648427
- new version 2.0.0

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1627495
- new version 1.4.0

* Sun Mar 29 2020 wally <wally> 1.3.0-1.mga8
+ Revision: 1562068
- imported package python-sybil

